GETTABLE(8)

NAME
gettable - get NIC format host tables from a host

SYNOPSIS
gettable [-v] host [outfile]

DESCRIPTION
gettable is a simple program used to obtain the NIC standard host tables from a “nicname” server. The indicated host is queried for the tables. The tables, if retrieved, are placed in the file outfile or by default, hosts.txt.

Available option:

-v  Get just the version number instead of the complete host table and put the output in the file outfile or by default, hosts.ver.

gettable operates by opening a TCP connection to the port indicated in the service specification for ``nicname''. A request is then made for “ALL” names and the resultant information is placed in the output file.

gettable is best used in conjunction with the htable(8) program which converts the NIC standard file format to that used by the network library lookup routines.

SEE ALSO
intro(3), htable(8), named(8)

BUGS
If the name-domain system provided network name mapping well as host name mapping, gettable would no longer be needed.

HISTORY
The gettable command appeared in 4.2BSD.